import { CustomError } from 'ts-custom-error';
export type ChildProcessErrorData = {
    error: Error;
    stdout?: string;
    stderr?: string;
};
export declare class ChildProcessError extends CustomError {
    data: ChildProcessErrorData;
    constructor(data: ChildProcessErrorData);
}
export declare function exec(command: string): Promise<string>;
type Message = {
    form: 'rise' | 'fall';
    text: string;
};
export declare function spawn(args: Array<string>, onOutput?: (msg: Message) => void): Promise<unknown>;
export {};
